import QtQuick 2.0

Flickable {
    id: keyboardsView
    width: parent.width
    clip: true

    contentWidth: stdKeyboard.width
    contentHeight: stdKeyboard.height

    property double buttonRowHeight: units.gu(8);
    property double targetPosition
 
    onMovementEnded: {
       var stopPositionInRow = contentY % buttonRowHeight;
       if( Math.abs(stopPositionInRow) > (buttonRowHeight/2)) {
            targetPosition = contentY+(buttonRowHeight - stopPositionInRow)
       }
       else {
            targetPosition = contentY -stopPositionInRow
       }
       snap.start();
    }

    NumberAnimation {id: snap; target: keyboardsView; property: "contentY"; to: targetPosition }

    StdKeyboard {
        id: stdKeyboard
        width: keyboardsView.width
    }
}
