import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: root
    width: parent.width
    height: row.height
    color: "white"

    property int operationsWidth: operatorLabel.width+formulaLabel.width
    property string operation: ""
    property string numbers: ""
    property bool labelReadOnly: false
    property string labelText: ""
    property int numbersHeight: units.gu(4)
    property string numbersColor: '#757373'

    Row{
        id: row
        height: numbersHeight
        width: parent.width
        TextField{
            id: numberName
            width: row.width-operatorLabel.width-formulaLabel.width
            anchors.bottom: parent.bottom
            ItemStyle.delegate: Item{} // removes ubuntu shape
            readOnly: labelReadOnly
            text: labelText
            onTextChanged: { labelText = numberName.text }
            hasClearButton: false
        }
        Label {
            id: operatorLabel
            width: units.gu(4)
            font.pixelSize: units.gu(4)
            text: root.operation
            font.family: "Ubuntu"
        }
        Label {
            id: formulaLabel
            width: units.gu(25)
            color: numbersColor
            anchors.bottom: parent.bottom
            font.pixelSize: numbersHeight
            fontSizeMode: Text.Fit
            horizontalAlignment: Text.AlignRight
            text: root.numbers
            font.family: "Ubuntu"
        }
    }
}
