//TODO: modify saved calculations text
import QtQuick 2.0
import QtQuick.LocalStorage 2.0

Item {

    property var db: null

    function openDB() {
        if(db !== null) return;

        db = LocalStorage.openDatabaseSync("ubuntu-calculator-app", "", "Default Ubuntu touch calculator", 100000);

        if (db.version == "") {
            db.changeVersion("", "0.1",
                function(tx) {
                    tx.executeSql('CREATE TABLE IF NOT EXISTS Calculations(id INTEGER PRIMARY KEY, calc TEXT)');
                    console.log('Database created');
                });
        }

        if (db.version == "0.1") {
            db.changeVersion("0.1", "0.1.1",
                function(tx) {
                    tx.executeSql('ALTER TABLE Calculations ADD insertDate INTEGER NOT NULL DEFAULT 0');
                    console.log('Database upgraded to 0.1.1');
                });
        }
    }

    function getCalculations(callback){
        openDB();
        db.transaction(
                    function(tx){
                        var res = tx.executeSql('SELECT * FROM Calculations');
                        for(var i=res.rows.length - 1; i >= 0; i--){
                            var obj = JSON.parse(res.rows.item(i).calc);
                            obj.dbId = res.rows.item(i).id;
                            if (!('mainLabel' in obj))
                                obj.mainLabel = ''
                            callback(obj);
                        }
                    }
                    );
    }

    function saveCalculation(calc, insertDate){
        openDB();
        var res;
        db.transaction( function(tx){
            res = tx.executeSql('INSERT INTO Calculations(calc, insertDate) VALUES(?, ?)', [JSON.stringify(calc), insertDate]);
        });
        return res.insertId
    }

    function updateCalculation(calc){
        openDB();
        var index = calc.dbId
        db.transaction(function(tx){
            tx.executeSql('UPDATE Calculations SET calc = ? WHERE id = ?', [JSON.stringify(calc), index])
        });
    }

    function removeCalculation(calc){
        openDb();
        db.transaction(function(tx){
            tx.executeSql('DELETE FROM Calculations WHERE id = ?', [calc.dbId]);
        });
    }
}
