import QtQuick 2.0
import Ubuntu.Components 0.1
import "Simple"
import "Scientific"

/*!
    \brief MainView with Tabs element.
           First Tab has a single Label and
           second Tab has a single ToolbarAction.
*/

MainView {
    id: mainView
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "calculator"

    width: units.gu(50)
    height: units.gu(75)

    Storage{
        id: storage
    }

    Tabs {
        id: tabs
        anchors.fill: parent
        
        // First tab begins here
        Tab {
            objectName: "Tab1"
            
            title: i18n.tr("Calculator")
            
            // Tab content begins here
            page: SimplePage{} //ScientificPage{} for a better calculator
        }

        Tab {
            objectName: "Tab2"
            
            title: i18n.tr("Help")
            
            // Tab content begins here
            page: Page {

                Item{
                    anchors.fill: parent

                    Label {
                        anchors.centerIn: parent
                        text: "Help/About"
                    }

                }
            }
        }
    }
}
